Update form editability

PATCH/v1/users/investor-preferences/{uuid}/editable

Path parameters

  • uuidstringRequired#
    Unique identifier of the investor preference form.

Request body

Body shape: Request_UpdateInvestorPreferenceFormEditable (required)

Responses

200Form editability updated.InvestorPreferenceFormResource
/** Imported from delio-core. */
interface InvestorPreferenceFormResource {
  /** uuid from delio-core. */
  uuid: string
  form: FormResource
  /** state from delio-core. */
  state?: unknown
  /** enforcementType from delio-core. */
  enforcementType: string
  /** editable from delio-core. */
  editable: boolean
  /** classifications from delio-core. */
  classifications?: InvestorPreferenceFormClassificationResource[]
  /** formImplementation from delio-core. */
  formImplementation?: unknown
  /** userState from delio-core. */
  userState?: unknown
}
401Unauthorized.Error
404Not found.Error
curl -X PATCH https://your-url.com/kong/core/api/gateway/v1/users/investor-preferences/{uuid}/editable\
  -H "Authorization: Bearer $DELIO_API_KEY"\
  -H "Content-Type: application/json"\
  -d '{
  "editable": true
}'